View Issue Details

IDProjectCategoryView StatusLast Update
0035572LazarusIDEpublic2019-11-04 10:25
ReporterAndrew S. Baker (ASB)Assigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindows 10 x64OSWindows 10OS Version1803 and 1903
Product Version2.0.3 (SVN)Product Build61159 
Target VersionFixed in Version 
Summary0035572: Renaming an entry in Build Modes clears out all settings under "Additions and Overrides"
DescriptionGreetings:

I'm currently using the fixes branch of both Lazarus and FPC, but I've tested this with Lazarus 2.0.2 and 2.0.0 as well.

Whenever I rename an entry in Build Modes, I lose all the configuration under "Additions and Overrides" for the renamed entry. Everything else is fine (Path, Config and Target, etc).


The following may also be a related issue:

If I open several projects back to back that all have the same Build Mode options, then the "Compile Many Modes..." setting will keep the check boxes enabled across projects. But, if the names of the build modes are different in a project that I open, as compared to the one previous, the checkboxes will all be cleared.

Shouldn't the build mode setting be stored with each project? (Mine are in my lpi file)
And shouldn't they be called each time a project is opened?
Steps To ReproduceOpen the Lazarus IDE
Go to "Project" -> "Project Options" -> "Additions and Overrides"
Take note of all the current selections
Go to "..." next to "Build Modes"
Select any current build mode and rename it.
Look at the "Additions and Overrides" dialog and note that the renamed mode no longer has any boxes checked
Information on other tabs (e.g. "Custom Options", "Paths", "Config and Target", etc) remains intact.
TagsNo tags attached.
Fixed in Revisionr62120
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Andrew S. Baker (ASB)

2019-05-12 17:23

reporter  

Build Modes Issues in Lazarus.pdf (570,046 bytes)

Andrew S. Baker (ASB)

2019-08-06 20:32

reporter   ~0117583

Any chance this can get fixed for Lazarus 2.0.6?

Bart Broersma

2019-08-31 13:48

developer   ~0117895

Same in trunk.

Juha Manninen

2019-10-26 08:06

developer   ~0118819

Last edited: 2019-10-26 11:27

View 3 revisions

I fixed the issue in r62120.
Please test ASAP and report back. This may still make it to 2.0.6 release.

The "Compile Many Modes..." setting issue is not related. Those checkbox states are stored in EnvironmentOptions and affect every project. It may be a wrong place indeed.
I will look at that issue later.
Resolving this one...

Juha Manninen

2019-11-01 00:16

developer   ~0118948

Last edited: 2019-11-01 00:27

View 3 revisions

I fixed the "Compile Many Modes..." setting issue in r62150, although it was not related.
The list of mode names is now stored in project options instead of environment options.
Please test.

Issue History

Date Modified Username Field Change
2019-05-12 17:23 Andrew S. Baker (ASB) New Issue
2019-05-12 17:23 Andrew S. Baker (ASB) File Added: Build Modes Issues in Lazarus.pdf
2019-08-06 20:32 Andrew S. Baker (ASB) Note Added: 0117583
2019-08-31 13:48 Bart Broersma Status new => confirmed
2019-08-31 13:48 Bart Broersma LazTarget => -
2019-08-31 13:48 Bart Broersma Note Added: 0117895
2019-10-26 00:00 Juha Manninen Assigned To => Juha Manninen
2019-10-26 00:00 Juha Manninen Status confirmed => assigned
2019-10-26 08:06 Juha Manninen Status assigned => feedback
2019-10-26 08:06 Juha Manninen Note Added: 0118819
2019-10-26 11:04 Juha Manninen Note Edited: 0118819 View Revisions
2019-10-26 11:27 Juha Manninen Note Edited: 0118819 View Revisions
2019-10-26 11:28 Juha Manninen Status feedback => resolved
2019-10-26 11:28 Juha Manninen Resolution open => fixed
2019-10-26 11:28 Juha Manninen Fixed in Revision => r62120
2019-10-26 11:28 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2019-11-01 00:16 Juha Manninen Note Added: 0118948
2019-11-01 00:18 Juha Manninen Note Edited: 0118948 View Revisions
2019-11-01 00:27 Juha Manninen Note Edited: 0118948 View Revisions